%define 	own	asterisk
%define 	grp	asterisk
%define 	sown	root
%define 	sgrp	root
%define 	rawname	sipsettings

Name:		freepbx-%{rawname}
Version:	16.0.27
Release:	1%{?dist}
Summary:	Asterisk SIP Settings

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz
Patch0:		freepbx-sipsettings-noBackup.patch

Requires:	freepbx-core >= 15.0.3.5

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
Use to configure Various Asterisk SIP and PJSIP Settings

%prep
%setup -q -n %{rawname}
%patch0 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in agi-bin bin sbin etc astetc images sounds moh hooks ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

%install
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}

%changelog
* Thu Feb 01 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.27
- Updated version

* Wed Sep 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.26
- Updated version

* Tue Jun 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.23
- Updated version

* Wed Jun 01 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.22
- Updated version

* Mon Apr 11 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.19
- Updated version

* Mon Mar 21 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.18
- Updated version

* Thu Jan 27 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.17
- Updated version

* Wed Jan 19 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.8
- Initial build
